Skip to main content
GET
/
api
/
v1
/
vms
/
{id}
Get VM
curl --request GET \
  --url https://api.raffcomputing.com/api/v1/vms/{id} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "my-ubuntu-server",
    "status": "active",
    "cpu": 2,
    "ram": 4,
    "storage": 80,
    "added_storage": 0,
    "total_storage": 80,
    "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "template_name": "Ubuntu",
    "template_version": "24.10x64",
    "vm_id": 123,
    "version": "<string>",
    "price_per_hour": "0.027764",
    "pricing_id": 3,
    "created_by": "<string>",
    "billing_type": "payg",
    "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "backup_type": "weekly",
    "region": "us-east",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reserved_ip": "<string>",
    "public_ipv4_address": "15.204.178.3",
    "public_ipv6_address": "<string>",
    "private_ipv4_address": "10.10.0.96",
    "private_ipv6_address": "<string>",
    "tags": [
      "<string>"
    ],
    "active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

VM ID (UUID)

Response

VM details

success
boolean
data
object